namespace CSR.Infrastructure.Services;

using CSR.Domain.Entities;

public class PasswordHasherService(Microsoft.AspNetCore.Identity.IPasswordHasher<User> passwordHasher) : Domain.Interfaces.IPasswordHasher
{
  private readonly Microsoft.AspNetCore.Identity.IPasswordHasher<User> _passwordHasher = passwordHasher;

  public string HashPassword(User user, string password)
  {
    return _passwordHasher.HashPassword(user, password);
  }

  public bool VerifyHashedPassword(User user, string hashedPassword, string providedPassword)
  {
    return _passwordHasher.VerifyHashedPassword(user, hashedPassword, providedPassword) != 0;
  }
}
